Deletes one completion eligibility rule owned by an Outcome.
DELETE
/api/workspace/tasks/configuration/task-definitions/{taskDefinitionId}/outcomes/{outcomeId}/completion-eligibility-rules/{ruleId}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Delete, RequestUri = new Uri("https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules/example"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"ExpectedDefinitionRowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"ExpectedOutcomeRowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"ExpectedRuleRowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"OperationId\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules/example';const options = { method: 'DELETE', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"ExpectedDefinitionRowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","ExpectedOutcomeRowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","ExpectedRuleRowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","OperationId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedOutcomeRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedRuleRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”taskDefinitionId
required
string
outcomeId
required
string
ruleId
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”object
ExpectedDefinitionRowVersion
string format: uuid
ExpectedOutcomeRowVersion
string format: uuid
ExpectedRuleRowVersion
string format: uuid
OperationId
string
Examplegenerated
{ "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedOutcomeRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedRuleRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example"}object
ExpectedDefinitionRowVersion
string format: uuid
ExpectedOutcomeRowVersion
string format: uuid
ExpectedRuleRowVersion
string format: uuid
OperationId
string
Examplegenerated
{ "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedOutcomeRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedRuleRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example"}object
ExpectedDefinitionRowVersion
string format: uuid
ExpectedOutcomeRowVersion
string format: uuid
ExpectedRuleRowVersion
string format: uuid
OperationId
string
Examplegenerated
{ "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedOutcomeRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ExpectedRuleRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
object
TaskDefinitionId
string
OutcomeId
string
RuleId
string
TaskDefinitionRowVersion
string format: uuid
OutcomeRowVersion
string format: uuid
Replayed
boolean
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}